//do-file for "Structural equation modelling"

use workout2, clear 

//Measurement model estiamted before modification
sem (Attractive->face sexy) (Appearance->body appear attract) ///
(Muscle->muscle strength endur) (Weight-> lweight calories cweight), stand 
estat gof, stats(all)
estat mindices

//Measurement model estiamted after modification
sem (Attractive->face sexy) (Appearance->body appear attract) ///
(Muscle->muscle strength endur) (Weight-> lweight calories cweight) ///
, stand cov(e.muscle*e.endur e.lweight*e.body) 
estat gof, stats(all)
ssc install condisc //install the package developed by Mehmetoglu, one of the authors
condisc
ssc install relicoef //install the package developed by Mehmetoglu, one of the authors
relicoef

//Full SEM or LPA
sem (Attractive->face sexy) (Appearance->body appear attract) ///
(Muscle->muscle strength endur) (Weight-> lweight calories cweight) ///
(Appearance<-Attractive) (Muscle Weight <-Appearance) ///
, stand cov(e.muscle*e.endur e.lweight*e.body)
estat gof, stats(all)
estat eqgof
estat teffects, stand nodirect nototal compact


